/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.icons.indices;

import java.net.URL;

/**
 * TreeTableView Icons
 * 
 * @author Markus Priglinger
 */
public class IconIndexButton {

	/** Package of icons */
	private static final String pack = "/"
			+ IconIndexButton.class.getPackage().getName().replace('.', '/')
			+ "/";

	/** Icons for ok button */
	public final static URL IDXBUTTON_OK = IconIndexButton.class
			.getResource(IconIndexButton.pack + "indexButton_ok.png");
	public final static URL IDXBUTTON_PRESSED_OK = IconIndexButton.class
			.getResource(IconIndexButton.pack + "indexButtonPressed_ok.png");
	public final static URL IDXBUTTON_ROLLOVER_OK = IconIndexButton.class
			.getResource(IconIndexButton.pack + "indexButtonRollover_ok.png");

	/** Icons for error button */
	public final static URL IDXBUTTON_ERROR = IconIndexButton.class
			.getResource(IconIndexButton.pack + "indexButton_error.png");
	public final static URL IDXBUTTON_PRESSED_ERROR = IconIndexButton.class
			.getResource(IconIndexButton.pack + "indexButtonPressed_error.png");
	public final static URL IDXBUTTON_ROLLOVER_ERROR = IconIndexButton.class
			.getResource(
					IconIndexButton.pack + "indexButtonRollover_error.png");

	/** Icons for incomplete button */
	public final static URL IDXBUTTON_INCOMPLETE = IconIndexButton.class
			.getResource(IconIndexButton.pack + "indexButton_incomplete.png");
	public final static URL IDXBUTTON_PRESSED_INCOMPLETE = IconIndexButton.class
			.getResource(
					IconIndexButton.pack + "indexButtonPressed_incomplete.png");
	public final static URL IDXBUTTON_ROLLOVER_INCOMPLETE = IconIndexButton.class
			.getResource(IconIndexButton.pack
					+ "indexButtonRollover_incomplete.png");
}
