#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9874 $
$LastChangedDate:: 2020-06-12 18:50:19 +0200#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import sys
import os
from symspace.osutils.pathutils import python_dir


def set_QT_PLUGIN_PATH():
    qt_plugin_path = os.getenv('QT_PLUGIN_PATH')
    if qt_plugin_path is None:
        if sys.version_info[0] == 3 and sys.version_info[1] == 7:
            print("Trying to set Environment Variable QT_PLUGIN_PATH in python 3.7")
            qt_plugin_path = os.path.join(python_dir, 'Library', 'plugins', 'PyQt5')
        else:
            qt_plugin_path = os.path.join(python_dir, 'Library', 'plugins')

        if os.path.isdir(qt_plugin_path):
            os.environ['QT_PLUGIN_PATH'] = qt_plugin_path
        else:
            print("QT_PLUGIN_PATH is no directory: {}".format(qt_plugin_path))

    else:
        print("Environment Variable: QT_PLUGIN_PATH is already defined as: {}".format(qt_plugin_path))